"""Experiments hold the results of an experiment against a dataset."""

# AUTOGENERATED! DO NOT EDIT! File to edit: ../nbs/experiment.ipynb.

# %% auto 0
__all__ = ['Experiment']

# %% ../nbs/experiment.ipynb 2
import typing as t

from fastcore.utils import patch

from .model.notion_model import NotionModel
from .backends.notion_backend import NotionBackend
from .dataset import Dataset

# %% ../nbs/experiment.ipynb 3
class Experiment(Dataset):
    def __init__(
        self,
        name: str,
        model: t.Type[NotionModel],
        database_id: str,
        notion_backend: NotionBackend,
    ):
        super().__init__(name, model, database_id, notion_backend)

    def __str__(self):
        return f"Experiment(name={self.name}, model={self.model.__name__})"

    __repr__ = __str__
